Subject: [MMUSIC] SDP Directorate: Review of draft-ietf-bfcpbis-rfc4583bis-08

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Fri, 20 Dec 2013 13:26:27 +0000

I am the assigned SDP directorate reviewer for this draft. For background on the SDP directorate, please see the FAQ at

http://www.ietf.org/iesg/directorate/sdp.html

Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Summary:
- There are a few minor issues as indicated below.

Issues:
1) Section 3 uses m=<media> <port> <transport> <fmt> and refers to 4566 but 4566 actually uses m=<media> <port> <proto> <fmt> . 

The newly defined 4 values (TCP/BFCP, TCP/TLS/BFCP and the UDP equivalents) are actually the proto values that are registered with IANA (not transport values). Thus, I recommend changing the text to reflect this.

2) Definition of "floorctrl" attribute. I think the answer has to include only one role if the offer had this attribute. If that is correct, I suggest the following change:

OLD: 
   If an SDP media description in an offer contains a 'floorctrl'
   attribute, the answerer accepting that media MUST include one in the
   corresponding media description of the answer. 

NEW:
   If an SDP media description in an offer contains a 'floorctrl'
   attribute, the answerer accepting that media MUST include only one in the
   corresponding media description of the answer. 

3) There are a few "SHOULD"s. I think they are OK but it is not clear when it is OK to ignore that SHOULD. If there are no such use cases, maybe they can be replaced with a "MUST"?